Subject: bug#14968: Building guix on top of Ubuntu 13.04

From: [email-masked] (Ludovic Courtès)
Date: Thu, 15 Aug 2013 13:28:47 +0200

Hi,

Amirouche Boubekki <[email-masked]> skribis:

> I tried to first run guix pull but failed with an error on /nix/store
> with wrong rights, the error provided a command to run which I did.
> After that I run again guix pull and try to install zile with the
> command guix package -i zile
>
> It fails with the following error:
>
> http://paste.call-cc.org/paste?id=6fdc9664ba6f81cfc0e32d168502945e1d6c95f9

That is:

> guix/nar.scm:79:8: In procedure write-contents:
> guix/nar.scm:79:8: In procedure module-lookup: Unbound variable: sendfile

> I can't install guile 2.0.9 on ubuntu because of some file clash regarding ffi.
>
> Instead I looked in /nix/store and saw that guile 2.0.9 was installed by guix
>
> so I symlinked it in ~/.guix-profile/bin/

Don’t ever do that: this directory is managed via the ‘guix package’
command exclusively.

> http://paste.call-cc.org/paste?id=0372e8cc7d7e2849d1b57a2926e0b359b072fa05

This one is:

> ERROR: In procedure dynamic-link:
> ERROR: In procedure dynamic-link: file: "libgcrypt", message: "file not found"

I believe your distro comes with Guile 2.0.5, right?

It’s OK to build Guix 0.3 with this Guile version, and it should work.

What’s not OK is to build it with that version, and then silently switch
to 2.0.9, or vice-versa (for instance because nar.scm checks at
compile-time if the ‘sendfile’ procedure is available, and 2.0.9 has it
whereas 2.0.5 doesn’t.)

So, what I would recommend is to start afresh with Guile 2.0.5:
configure, build, and install Guix (and run ‘make check’.)

>From there, you can run ‘guix package -i guile’ to install 2.0.9 in your
profile.  And then, you can re-build Guix with 2.0.9, and run ‘guix pull’.

Can you try that and report back?

HTH,
Ludo’.